<div align="center">
    <img src="docs/logo.png" height="256px"/>
    <h1>kookienomicon</h1>
</div>


Welcome to the *kookienomicon*, my personal project archive.  Here you
will find tools, libraries, and prototypes that I have written in the
hopes that they might one day be useful to future-me, or future-you.

Be warned though, there's software ahead ~✨


## Structure 

Following is an overview of components in this repository.

| Directory                    | Description                                                                    |
|------------------------------|--------------------------------------------------------------------------------|
| [apps](./apps)               | Applications (graphical and command-line) meant for end-users                  |
| [development](./development) | Libraries and specific tools primarily meant to be used by software developers |
| [docs](./docs)               | Documentation for the kookienomicon                                            |
| [games](./games)             | Free software games and game tools                                             |
| [infra](./infra)             | Personal infrastructure projects (namely `libkookie` & my website)             |
| [junkyard](./junkyard)       | Projects I've abandoned and that are considered read-only archives             |
| [licenses](./licenses)       | Set of license texts in use by projects in this repository                     |
| [nix](./nix)                 | Nix build files and utilities                                                  |
| [prototypes](./prototypes)   | Small experiments that don't fit anywhere else                                 |


## Contributing

Because the kookienomicon is hosted on a platform that doesn't allow
public signup, contributing via PRs is not possible.  Instead, if you
want to provide an update to any of the projects hosted in this
archive, you can do so via e-mail.  You can either send a [set of
patches] to my [public inbox], or host your changes somewhere and send
me an e-mail [pull request].

For additional help on how to set up git's e-mail tools go [here].

[set of patches]: https://spacekookie.de/blog/collaborating-with-git-send-email/
[public inbox]: https://lists.sr.ht/~spacekookie/public-inbox
[pull request]: https://www.git-scm.com/docs/git-request-pull
[here]: https://git-send-email.io/


## Working with a large repo

This repository is quite massive, because it contains multiple
subtrees with large histories.

If you experience performance problems, try setting
`feature.manyFiles` in your git configuration.  Additionally, when
using `git log`, make sure to use `--first-parent` to get the history
of kookienomicon, instead of the merged subtree histories.


## License

This repository has no unified license.  Check each project for it's
specific license.  Licenses in-use by projects in this repository can
be found in the `licenses` directory.
