use crate::config::Config;
use elefren::{
    errors::Result,
    http_send::HttpSender,
    registration::{Registered, Registration},
    scopes::Scopes,
};

// use mammut::{apps::AppBuilder, Registration, Mastodon};

/// Attempt to register an account
pub(crate) fn register(cfg: &Config) -> Result<Registered<HttpSender>> {
    Registration::new(cfg.instance.as_str())
        .client_name("unionbot")
        .redirect_uris("urn:ietf:wg:oauth:2.0:oob")
        .scopes(Scopes::write_all())
        .build()
}
