use std::{env, fs::File, io::Write, path::PathBuf, process::Command};

fn main() {
    let rustc_path = env::var("CARGO_WS2_RUSTC").unwrap_or_else(|_| "rustc".into());
    let version = Command::new(rustc_path)
        .arg("-V")
        .output()
        .expect("failed to get rustc version.  Is rustc in $PATH?")
        .stdout;

    let out_path = PathBuf::new();
    let mut f = File::create(
        out_path
            .join(env::var("OUT_DIR").unwrap())
            .join("rustc.version"),
    )
    .unwrap();
    f.write_all(
        String::from_utf8(version)
            .expect("Invalid rustc command return")
            .replace("\"", "")
            .trim()
            .as_bytes(),
    )
    .unwrap();
}
