use serde::{de::DeserializeOwned, Deserialize, Serialize};

#[repr(C)]
#[derive(Serialize, Deserialize)]
pub struct Envelope {
    size: u64,
    data: Vec<u8>,
}

impl Envelope {
    pub fn pack<T: Serialize>(d: T) -> Self {
        let data = bincode::serialize(&d).unwrap();
        let size = data.len() as u64;
        Self { size, data }
    }

    pub fn unpack<T: DeserializeOwned>(self) -> T {
        bincode::deserialize(&self.data).unwrap()
    }
}
