use crate::wire::{Action, LobbyId, MatchId, Request, User};

pub fn register(name: String, pw: String) -> Request {
    Request::Register(name, pw)
}
c
pub fn login(name: String, pw: String) -> Request {
    Request::Login(name, pw)
}

pub fn logout(user: User) -> Request {
    Request::Logout(user)
}

pub fn anonymous(name: String) -> Request {
    Request::Anonymous(name)
}

pub fn join(user: User, lid: LobbyId) -> Request {
    Request::Join(user, lid)
}

pub fn leave(user: User, lid: LobbyId) -> Request {
    Request::Leave(user, lid)
}

pub fn ready(user: User, lid: LobbyId, ready: bool) -> Request {
    Request::Ready(user, lid, ready)
}

pub fn start_req(user: User, lid: LobbyId) -> Request {
    Request::StartReq(user, lid)
}

pub fn game_action(user: User, mid: MatchId, act: Action) -> Request {
    Request::GameAction(user, mid, act)
}

pub fn leave_game(user: User, mid: MatchId) -> Request {
    Request::LeaveGame(user, mid)
}
