# libkookie

This is my personal collection of nix expressions.


## Structure

This repository contains a subtree of nixpkgs, a set of custom
modules, a set of overlays for both custom and patched packages, as
well as root configurations for each of my computers.

If you come across my old kookiepkgs, or nixcfg repositories, please
ignore them: this collection replaces them both.

- ext: possible private extensions
- modules: custsom configuration module system
- configuration: set of use-case-specific configurations
- nixpkgs: subtree of nixpkgs (follows unstable - updated regularly)
- overlays/kookie: custom out-of-nixpkgs packages
- overlays/patches: patches to upstream packages
- ovrelays/staging: staging area for upstream work
- roots: available entry-points (device configuration)


## How to use

Use ./build to build and switch to a new libkookie configuration.  A
more advanced (work in progress) build tool (that requires some
bootstrapping) can be found in stage1/.


## License

The nixpkgs subtree, as well as the package overlays are licensed
under the MIT public license.  My custom modules (modules/, and
configuration/ ), configuration roots, and stage1 builder are licensed
under the GNU Public License 3.0 (or later).

