{ config, lib, ... }:

{
  services.syncthing = {
    enable = true;
    user = "spacekookie";
    group = "core";
    openDefaultPorts = true;
    guiAddress = "0.0.0.0:8384";
  };

  services.nginx.enable = true;
  services.nginx.virtualHosts."sync.kookiejar.tech" = {
    serverAliases = [ "sync.alarei.kookie.space" ];
    useACMEHost = "alarei.kookie.space";
    forceSSL = true;
    locations."/" = {
      proxyPass = "http://127.0.0.1:8384";
    };
  };
}
