{ lib, config, pkgs, ... }:

{
  # Set the basic xfce/xserver configuration
  services.xserver = {
    enable = true;
    desktopManager = {
      xfce = {
        enable = true;
        noDesktop = true;
        enableXfwm = false;
      };
    };
    displayManager.defaultSession = "xfce+i3";
    windowManager.i3.enable = true;

    useGlamor = true;

    inherit (config.libkookie.ui.i3) videoDrivers;
    
    deviceSection = ''
      Option "DRI" "2"
      Option "TearFree" "true"
    '';
  };

  # Enable OpenGL support on the hardware, with some extra packages
  # FIXME: add 32bit driver support only if steam support is enabled
  hardware.opengl = {
    enable = true;
    driSupport = true;
    extraPackages = with pkgs; [
      libGL xorg.xf86videoati xorg.xf86inputlibinput
      SDL2 SDL2_gfx SDL2_mixer SDL2_ttf
    ];
    extraPackages32 = with pkgs.pkgsi686Linux; [ libva ];
    driSupport32Bit = true;
    setLdLibraryPath = true;
  };
}
  
