{ config, lib, ... }:

let
  cfg = config.libkookie.ui.kitty;
  colors = with lib;
    (concatMapStringsSep "\n" (a: a)
      (mapAttrsToList (k: v: "${k} ${v}") cfg.colors));
in
''
  font_size ${builtins.toString cfg.fontSize}

  disable_ligatures always
  
  open_url_modifiers ctrl+shift
  open_url_with default

  term ${cfg.term}

  cursor_shape ${cfg.cursorShape}

  background_opacity 0.85

  enable_audio_bell no

  ${colors}
''
