{ stdenv, lib, pkgs, ... } @ args:

with (import ./builder.nix args);
pkgs.emacsWithPackages (epkgs:
  let
    include = path: (import path { inherit buildModule pkgs epkgs; });
    modules = [
      ./base
      ./move-lines
      ./multi-cursor
      ./kookie-notmuch
      ./notmuch-rules
      ./org
      ./rust
      ./theme
    ];
    kookie-config = bootstrap (map (p: include p) modules);
  in
    with epkgs; [
      kookie-config

      ##################################################################
      # A set of simple module that don't require special configuration
      #
      #

      # Simple language modes
      fish-mode
      markdown-mode
      nim-mode
      nix-mode
      python-mode
      raku-mode
      
      # Utility moduse
      direnv
      fzf
      magit
      treemacs
      undo-tree
      visual-fill-column
      which-key
    ])

