with import <nixpkgs> {};

let
  pelican = (pkgs.python3Packages.pelican.overrideAttrs ({ ... }: {
    doInstallCheck = false;
  }));
in
stdenv.mkDerivation {
  name = "website";
  src = ./.;

  buildInputs = with pkgs; [
    python3
    pelican
  ] ++ (with pkgs.python3Packages; [
    markdown
    webassets
  ]);

  buildPhase = ''
    runHook preBuild
    make html
    runHook postBuild
  '';

  installPhase = ''
    runHook preInstall
    mv output $out
    runHook postInstall
  '';
}
